> ## Documentation Index
> Fetch the complete documentation index at: https://anything.notte.cc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Run a marketplace function



## OpenAPI

````yaml https://anything.notte.cc/api/marketplace/openapi.json post /api/marketplace/run
openapi: 3.1.0
info:
  title: Notte Marketplace API
  version: 1.0.0
  description: >-
    Public marketplace discovery APIs and authenticated build/run APIs. The JSON
    Schema components are generated from the shared marketplace contract used by
    both HTTP and MCP.
servers: []
security: []
paths:
  /api/marketplace/run:
    post:
      summary: Run a marketplace function
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MarketplaceRunInput'
      responses:
        '200':
          description: The function result.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketplaceRunResult'
        '400':
          description: Invalid run request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketplaceError'
        '401':
          description: A Notte API key bearer token is required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketplaceError'
        '502':
          description: The function could not be run.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketplaceError'
      security:
        - notteApiKey: []
components:
  schemas:
    MarketplaceRunInput:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        function_id:
          type: string
          minLength: 1
        variables:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
      required:
        - function_id
      additionalProperties: false
    MarketplaceRunResult:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        function_id:
          type: string
        workspace:
          type: string
        result: {}
      required:
        - function_id
        - workspace
        - result
      additionalProperties: false
    MarketplaceError:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        error:
          type: string
      required:
        - error
      additionalProperties: false
  securitySchemes:
    notteApiKey:
      type: http
      scheme: bearer
      bearerFormat: NOTTE_API_KEY
      description: 'A Notte API key supplied as `Authorization: Bearer <NOTTE_API_KEY>`.'

````